{ pkgs
, config
, lib
, ...
}:
{
  home.packages =
    (builtins.attrValues {
      inherit (pkgs)
        nixpkgs-fmt
        nixfmt-classic
        nix-prefetch-scripts
        nixpkgs-review
        nix-tree
        ;
    })
    ++ lib.optionals config.programs.helix.enable [ pkgs.nil ]
    ++ lib.optionals config.programs.kakoune.enable [ pkgs.rnix-lsp ];
  programs.neovim.plugins = [ pkgs.vimPlugins.vim-nix ];
}
